#ifndef _Handle_PDF_Reference_HeaderFile
#define _Handle_PDF_Reference_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDF_Reference;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDF_Reference);

class Handle(PDF_Reference) : public Handle(PDF_Attribute) {
  public:

    Handle(PDF_Reference)():Handle(PDF_Attribute)() {} 
    Handle(PDF_Reference)(const Handle(PDF_Reference)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDF_Reference)(const PDF_Reference* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDF_Reference)& operator=(const Handle(PDF_Reference)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDF_Reference)& operator=(const PDF_Reference* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDF_Reference* operator->() const 
     {
      return (PDF_Reference *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDF_Reference) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
